Bug 211559 - preferences dialog uses wrong window type
preferences dialog uses wrong window type
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: virt-manager (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Berrange
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-19 20:09 EDT by Matthias Clasen
Modified: 2007-11-30 17:07 EST (History)
3 users (show)

See Also:
Fixed In Version: RHEA-2007-0637
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-07 11:34:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthias Clasen 2006-10-19 20:09:08 EDT
The preferences dialog of virt-manager is an override-redirect window
(doesn't get window decorations). It should be a regular dialog.
Comment 1 Matthias Clasen 2006-10-19 20:10:46 EDT
This is with virt-manager-0.2.3-3.el5
Comment 2 Daniel Berrange 2006-10-20 06:53:42 EDT
This is very odd, I've seen this lack of decorations every now & then too - the
glade file is clearly showing it as a regular dialog:

<widget class="GtkDialog" id="vmm-preferences">
  <property name="visible">True</property>
  <property name="title" translatable="yes">Virtual Machine Manager
Preferences</property>
  <property name="type">GTK_WINDOW_TOPLEVEL</property>
  <property name="window_position">GTK_WIN_POS_NONE</property>
  <property name="modal">False</property>
  <property name="resizable">True</property>
  <property name="destroy_with_parent">False</property>
  <property name="decorated">True</property>
  <property name="skip_taskbar_hint">False</property>
  <property name="skip_pager_hint">False</property>
  <property name="type_hint">GDK_WINDOW_TYPE_HINT_DIALOG</property>
  <property name="gravity">GDK_GRAVITY_NORTH_WEST</property>
  <property name="focus_on_map">True</property>


Testing again now, about 1-in-3 times, when initially displaying the window
after launching the application it doesn't get any decorations. Closing &
re-openning the window, the decorations are fine.
Comment 3 RHEL Product and Program Management 2006-10-24 15:33:47 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 5 Hugh Brock 2007-06-18 13:03:36 EDT
This is fixed in virt-manager-0.4.0, and should therefore wind up fixed in RHEL
5.1 as well.
Comment 6 Hugh Brock 2007-06-18 16:07:06 EDT
fixed in 0.4.0-1.el5, to be precise...
Comment 11 errata-xmlrpc 2007-11-07 11:34:05 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2007-0637.html

Note You need to log in before you can comment on or make changes to this bug.